Subject: [bug#30974] cryptsetup 2.0.2

From: Marius Bakke <[email-masked]>
Date: Wed, 28 Mar 2018 22:52:50 +0200

Marius Bakke <[email-masked]> writes:

> The size of "cryptsetup-static" increases from 5 MiB to 11.2 MiB.  Not
> sure why, json-c and argon2 are only a few 100 KiB each.  Thoughts?

This is simply because 2.0 adds two new binaries: "cryptsetup-reencrypt"
and "integritysetup".  The size of the existing executables only
increase slightly.

We definitely don't need the "reencrypt" tool in the initrd, and can
probably get rid of integritysetup and veritysetup as well.  WDYT?